ros-jazzy-class-loader (2.7.0-3noble) noble; urgency=high

  * Remove all uses of ament_target_dependencies. (#210 <https://github.com/ros/class_loader/issues/210>)
  * Update to C++17 (#209 <https://github.com/ros/class_loader/issues/209>)
  * Contributors: Chris Lalancette

 -- Geoffrey Biggs <geoff@openrobotics.org>  Tue, 26 Dec 2023 00:00:00 -0000

ros-jazzy-class-loader (2.6.0-3noble) noble; urgency=high



 -- Geoffrey Biggs <geoff@openrobotics.org>  Fri, 28 Apr 2023 00:00:00 -0000

ros-jazzy-class-loader (2.5.0-3noble) noble; urgency=high

  * make sanitizer happy (#205 <https://github.com/ros/class_loader/issues/205>)
  * [rolling] Update maintainers - 2022-11-07 (#206 <https://github.com/ros/class_loader/issues/206>)
  * Contributors: Audrow Nash, Chen Lihui

 -- Geoffrey Biggs <geoff@openrobotics.org>  Mon, 13 Feb 2023 00:00:00 -0000

ros-jazzy-class-loader (2.4.0-3noble) noble; urgency=high

  * Remove appveyor configuration. (#204 <https://github.com/ros/class_loader/issues/204>)
  * Just fix a typo in a comment. (#203 <https://github.com/ros/class_loader/issues/203>)
  * make the meta-object alive in the lifecycle of the registered plugin (#201 <https://github.com/ros/class_loader/issues/201>)
  * Contributors: Chen Lihui, Chris Lalancette

 -- Geoffrey Biggs <geoff@openrobotics.org>  Wed, 02 Nov 2022 00:00:00 -0000

ros-jazzy-class-loader (2.3.1-3noble) noble; urgency=high

  * Mirror rolling to ros2
  * Contributors: Audrow Nash

 -- Geoffrey Biggs <geoff@openrobotics.org>  Tue, 13 Sep 2022 00:00:00 -0000

ros-jazzy-class-loader (2.3.0-3noble) noble; urgency=high



 -- Geoffrey Biggs <geoff@openrobotics.org>  Tue, 10 May 2022 00:00:00 -0000

ros-jazzy-class-loader (2.2.0-3noble) noble; urgency=high

  * Install includes to include/ (#191 <https://github.com/ros/class_loader/issues/191>)
  * Fix include order for cpplint (#192 <https://github.com/ros/class_loader/issues/192>)
  * Update maintainers to Geoffrey Biggs and Michael Carroll (#190 <https://github.com/ros/class_loader/issues/190>)
  * Fix spelling mistake (#184 <https://github.com/ros/class_loader/issues/184>)
  * Contributors: Audrow Nash, David V. Lu!!, Jacob Perron, Shane Loretz

 -- Geoffrey Biggs <geoff@openrobotics.org>  Fri, 14 Jan 2022 00:00:00 -0000

ros-jazzy-class-loader (2.1.2-3noble) noble; urgency=high

  * Remove travis. (#182 <https://github.com/ros/class_loader/issues/182>)
  * Contributors: Chris Lalancette

 -- Geoffrey Biggs <geoff@openrobotics.org>  Mon, 12 Apr 2021 00:00:00 -0000

ros-jazzy-class-loader (2.1.1-3noble) noble; urgency=high

  * Change index.ros.org -> docs.ros.org. (#181 <https://github.com/ros/class_loader/issues/181>)
  * Contributors: Chris Lalancette

 -- Geoffrey Biggs <geoff@openrobotics.org>  Tue, 06 Apr 2021 00:00:00 -0000

ros-jazzy-class-loader (2.1.0-3noble) noble; urgency=high

  * Fix ternary null check found by clang static analysis (#176 <https://github.com/ros/class_loader/issues/176>)
  * Update QD to QL 1 (#177 <https://github.com/ros/class_loader/issues/177>)
  * Updated console_bridge QL in QD
  * Update package maintainers. (#169 <https://github.com/ros/class_loader/issues/169>)
  * enable building a static library (#163 <https://github.com/ros/class_loader/issues/163>)
  * Update Quality Declaration to reflect QL 2 (#160 <https://github.com/ros/class_loader/issues/160>).
  * Increase coverage with a graveyard behavior test and unmanaged instance test (#159 <https://github.com/ros/class_loader/issues/159>)
  * Add Security Vulnerability Policy pointing to REP-2006. (#157 <https://github.com/ros/class_loader/issues/157>)
  * Clean up and improve documentation (#156 <https://github.com/ros/class_loader/issues/156>)
  * Contributors: Alejandro Hernández Cordero, Chris Lalancette, Dirk Thomas, Michel Hidalgo, Stephen Brawner, ahcorde, brawner

 -- Geoffrey Biggs <geoff@openrobotics.org>  Thu, 18 Mar 2021 00:00:00 -0000

ros-jazzy-class-loader (2.0.1-3noble) noble; urgency=high

  * Added QD to doxygen related pages (#155 <https://github.com/ros/class_loader/issues/155>)
  * Updated class_loader QD (#152 <https://github.com/ros/class_loader/issues/152>)
  * fix copy and paste error (#154 <https://github.com/ros/class_loader/issues/154>)
  * Fixed warning (#151 <https://github.com/ros/class_loader/issues/151>)
  * Increased code coverage (#141 <https://github.com/ros/class_loader/issues/141>)
  * Added Doxyfile (#148 <https://github.com/ros/class_loader/issues/148>)
  * Added quality declaration draft (#142 <https://github.com/ros/class_loader/issues/142>)
  * Contributors: Alejandro Hernández Cordero, Tully Foote

 -- Geoffrey Biggs <geoff@openrobotics.org>  Tue, 26 May 2020 00:00:00 -0000

ros-jazzy-class-loader (2.0.0-3noble) noble; urgency=high

  * Export CMake targets in a addition to include directories / libraries. (#147 <https://github.com/ros/class_loader/issues/147>)
  * Fixed references to poco in error strings. (#144 <https://github.com/ros/class_loader/issues/144>)
  * Removed poco dependency. Shared library management is now provided by rcpputils. (#139 <https://github.com/ros/class_loader/issues/139>)
  * Add missing LICENSE file, matching 3-clause BSD (#137 <https://github.com/ros/class_loader/issues/137>)
  * Code style change: wrap after open parenthesis if not in one line (#138 <https://github.com/ros/class_loader/issues/138>)
  * Fix Travis on macOS. (#135 <https://github.com/ros/class_loader/issues/135>)
  * Use .empty() to check for an empty string. (#132 <https://github.com/ros/class_loader/issues/132>)
  * Contributors: Alejandro Hernández Cordero, Chris Lalancette, Dirk Thomas, Jorge Perez

 -- Geoffrey Biggs <geoff@openrobotics.org>  Sat, 25 Apr 2020 00:00:00 -0000

ros-jazzy-class-loader (1.4.0-3noble) noble; urgency=high

  * Fixed setting AbstractMetaObjectBase base class typeid. (#127 <https://github.com/nuclearsandwich/class_loader/issues/127>)
  * Corrected export of class_loader library. (#129 <https://github.com/nuclearsandwich/class_loader/issues/129>)
  * Reduced the number of threads spun up in stress test. (#128 <https://github.com/nuclearsandwich/class_loader/issues/128>)
  * Contributors: Emerson Knapp, Shane Loretz, bpwilcox

 -- Geoffrey Biggs <geoff@openrobotics.org>  Wed, 18 Sep 2019 00:00:00 -0000

ros-jazzy-class-loader (1.3.1-3noble) noble; urgency=high

  * Using ament_target_dependencies when possible (#124 <https://github.com/ros/class_loader/issues/124>)
  * Contributors: ivanpauno

 -- Geoffrey Biggs <geoff@openrobotics.org>  Wed, 08 May 2019 00:00:00 -0000

ros-jazzy-class-loader (1.3.0-3noble) noble; urgency=high

  * Updated test configuration to check copyright of files where possible. (#123 <https://github.com/ros/class_loader/issues/123>)
  * Updated to use ament_target_dependencies where possible. (#121 <https://github.com/ros/class_loader/issues/121>)
  * Contributors: ivanpauno, jpsamper2009

 -- Geoffrey Biggs <geoff@openrobotics.org>  Fri, 12 Apr 2019 00:00:00 -0000

ros-jazzy-class-loader (1.2.0-3noble) noble; urgency=high

  * Updated maintainer to Steven! Ragnarok the maintainer (#107 <https://github.com/ros/class_loader/issues/107>)
  * Added free impl_ in AbstractMetaObjectBase destructor (#103 <https://github.com/ros/class_loader/issues/103>)
  * Overhauled CI.u (#106 <https://github.com/ros/class_loader/issues/106>)
  * Fixed spacing to comply with uncrusity 0.67 (#99 <https://github.com/ros/class_loader/issues/99>)
  * Updated to use console_bridge_vendor (#98 <https://github.com/ros/class_loader/issues/98>)
  * Contributors: Chris Ye, Mikael Arguedas

 -- Geoffrey Biggs <geoff@openrobotics.org>  Fri, 16 Nov 2018 00:00:00 -0000

ros-jazzy-class-loader (0.3.2-3noble) noble; urgency=high

  * Fixed wrong handling of false statement (pkg-config was not installed)
  * Make catkin optional again
  * Contributors: Esteve Fernandez, Janosch Machowinski, Matthias Goldhoorn

 -- Geoffrey Biggs <geoff@openrobotics.org>  Wed, 22 Apr 2015 00:00:00 -0000

ros-jazzy-class-loader (0.3.1-3noble) noble; urgency=high

  * Depend on boost
  * Use FindPoco.cmake from ros/cmake_modules
  * Honor BUILD_SHARED_LIBS and do not force building shared libraries.
  * Contributors: Esteve Fernandez, Gary Servin, Scott K Logan

 -- Geoffrey Biggs <geoff@openrobotics.org>  Tue, 23 Dec 2014 00:00:00 -0000

ros-jazzy-class-loader (0.3.0-3noble) noble; urgency=high

  * Use system-provided console-bridge
  * Contributors: Esteve Fernandez

 -- Geoffrey Biggs <geoff@openrobotics.org>  Wed, 25 Jun 2014 00:00:00 -0000

ros-jazzy-class-loader (0.2.5-3noble) noble; urgency=high

  * Changed format of debug messages so that rosconsole_bridge can correctly parse the prefix
  * Improved debug output

 -- Geoffrey Biggs <geoff@openrobotics.org>  Tue, 04 Mar 2014 00:00:00 -0000

ros-jazzy-class-loader (0.2.4-3noble) noble; urgency=high

  * fix race condition with multi threaded library loading (#16 <https://github.com/ros/class_loader/issues/16>)

 -- Geoffrey Biggs <geoff@openrobotics.org>  Wed, 12 Feb 2014 00:00:00 -0000

ros-jazzy-class-loader (0.2.3-3noble) noble; urgency=high

  * fix missing class name in logWarn output

 -- Geoffrey Biggs <geoff@openrobotics.org>  Wed, 21 Aug 2013 00:00:00 -0000

ros-jazzy-class-loader (0.2.2-3noble) noble; urgency=high

  * check for CATKIN_ENABLE_TESTING (#10 <https://github.com/ros/class_loader/issues/10>)
  * fix find Poco to return full lib path (#8 <https://github.com/ros/class_loader/issues/8>)
  * add missing runtime destination for library under Windows
  * add Boosst component system

 -- Geoffrey Biggs <geoff@openrobotics.org>  Sun, 14 Jul 2013 00:00:00 -0000

ros-jazzy-class-loader (0.2.1-3noble) noble; urgency=high

  * improve check for Poco foundation and headers (#7 <https://github.com/ros/class_loader/issues/7>)

 -- Geoffrey Biggs <geoff@openrobotics.org>  Thu, 06 Jun 2013 00:00:00 -0000

ros-jazzy-class-loader (0.2.0-3noble) noble; urgency=high

  * use find_package for Poco/dl instead to make it work on other platforms
  * update Poco cmake file to include libdl on non-windows systems
  * No longer CATKIN_DEPEND on console_bridge

 -- Geoffrey Biggs <geoff@openrobotics.org>  Wed, 13 Mar 2013 00:00:00 -0000

ros-jazzy-class-loader (0.1.27-3noble) noble; urgency=high

  * change warning message for managed/unmanaged instance mixture in lazy loading mode

 -- Geoffrey Biggs <geoff@openrobotics.org>  Fri, 25 Jan 2013 00:00:00 -0000

ros-jazzy-class-loader (0.1.26-3noble) noble; urgency=high

  * fix all instances marked as unmanaged

 -- Geoffrey Biggs <geoff@openrobotics.org>  Thu, 17 Jan 2013 00:00:00 -0000

ros-jazzy-class-loader (0.1.25-3noble) noble; urgency=high

  * fix redundant destructor definition being pulled into plugin library for metaobjects instead of being contained with libclass_loader.so

 -- Geoffrey Biggs <geoff@openrobotics.org>  Wed, 16 Jan 2013 00:00:00 -0000

ros-jazzy-class-loader (0.1.24-3noble) noble; urgency=high

  * fix syntax error for logInform

 -- Geoffrey Biggs <geoff@openrobotics.org>  Mon, 14 Jan 2013 15:27:00 -0000

ros-jazzy-class-loader (0.1.23-3noble) noble; urgency=high

  * downgrade some warning messages to be info/debug

 -- Geoffrey Biggs <geoff@openrobotics.org>  Mon, 14 Jan 2013 15:23:00 -0000

ros-jazzy-class-loader (0.1.22-3noble) noble; urgency=high

  * add safety checks for mixing of managed/unmanaged mixing as well as pointer equivalency check between graveyard and newly created metaobjects

 -- Geoffrey Biggs <geoff@openrobotics.org>  Mon, 14 Jan 2013 15:01:00 -0000

ros-jazzy-class-loader (0.1.21-3noble) noble; urgency=high

  * fix compile issue on OSX in dependent packages (#3 <https://github.com/ros/class_loader/issues/3>)
  * add more debug information

 -- Geoffrey Biggs <geoff@openrobotics.org>  Sun, 13 Jan 2013 00:00:00 -0000

ros-jazzy-class-loader (0.1.20-3noble) noble; urgency=high

  * first public release for Groovy

 -- Geoffrey Biggs <geoff@openrobotics.org>  Fri, 21 Dec 2012 16:04:00 -0000


